Bug 190005

Summary: udev hangs if ipw3945 present
Product: [Fedora] Fedora Reporter: Sammy <umar>
Component: udevAssignee: Harald Hoyer <harald>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 5CC: djuran, groucho, mgarski
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: F6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-09-20 07:06:48 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Sammy 2006-04-26 12:09:33 EDT
Description of problem:

I was helping a student to install FC5 onto his new HP Pavilion
notebook, which comes with IPW3945 wireless driver. Everything 
went fine except during the boot process the boot hanged at the
udev stage (starting udev after Fedora in blue). We repeated this
a number of time and waited almost half hour to no avail. Finally,
I realized what was happening and got a bunch of rpms from AT and
firware and daeomon from another source. After installing these the
udev stage went through and the wireless light came on at the same
time. Judging from discussions in redhat-devel this does not mean
the connection is working neccesarily.

Anyway, I think udev should not hang if it cannot initialize ipw3945.
Comment 1 Harald Hoyer 2006-04-27 05:06:35 EDT
Well, there is a timeout and the startup continues.
Could you tell me please, what udev was waiting for? Firmware? Kernel driver?
Comment 2 Sammy 2006-04-27 09:18:11 EDT
I don't know what it was waiting for but we tried multiple times and waited
long enough so for some reason that timeout was not triggered. Perhaps it
was waiting for firmware then. How do I find out what it is waiting for?
Comment 3 Harald Hoyer 2006-04-27 10:03:09 EDT
what exactly did you change to make it work?
Comment 4 Sammy 2006-04-27 11:46:55 EDT
I installed the following rpms (after updating fc5 to smp kernel 2.6.16-1.2080):

ipw3945-0.0.74-4.rhfc5.at.i386.rpm
ipw3945d-1.7.18-1.fc5.rf.i386.rpm
ipw3945-firmware-1.13-1.fc5.rf.noarch.rpm
ipw3945-kmdl-2.6.16-1.2080_FC5smp-0.0.74-4.rhfc5.at.i686.rpm
ieee80211-1.1.13-10.rhfc5.at.i386.rpm
ieee80211-kmdl-2.6.16-1.2080_FC5smp-1.1.13-10.rhfc5.at.i686.rpm

After that as soon as "Starting udev" shows up the led for the wireless
connection comes on and the boot completes normally.
Comment 5 Pieter Noom 2006-06-29 01:07:43 EDT
Same problem here.  But I can't get past that stage to be able to add the rpms
or the kernel. I created the installations dics from ISO images and I have been
able to replace a couple of corrupted files on these Can I do anything that way???
Comment 6 Harald Hoyer 2007-09-20 07:06:48 EDT
latest udevs timeout and the boot process continues.